#
# spec file for package kinfocenter5
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
Name:           kinfocenter5
Version:        5.8.5
Release:        0
# Full Plasma 5 version (e.g. 5.8.5)
%{!?_plasma5_bugfix: %global _plasma5_bugfix %{version}}
# Lasted ABI-stable Plasma (e.g. 5.8 in KF5, but 5.8.90 in KUF)
%{!?_plasma5_version: %global _plasma5_version %(echo %{_plasma5_bugfix} | awk -F. '{print $1"."$2}')}
Summary:        Utility that provides information about a computer system
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org/
Source:         http://download.kde.org/stable/plasma/%{version}/kinfocenter-%{version}.tar.xz
Source99:       %{name}-rpmlintrc
# PATCH-FIX-OPENSUSE plasma-session-name.patch
Patch0:         plasma-session-name.patch
BuildRequires:  extra-cmake-modules >= 1.2.0
BuildRequires:  kf5-filesystem
BuildRequires:  libraw1394-devel
BuildRequires:  pciutils-devel
BuildRequires:  update-desktop-files
BuildRequires:  xz
BuildRequires:  cmake(KF5Completion) >= 5.9.0
BuildRequires:  cmake(KF5Config) >= 5.9.0
BuildRequires:  cmake(KF5ConfigWidgets) >= 5.9.0
BuildRequires:  cmake(KF5CoreAddons) >= 5.9.0
BuildRequires:  cmake(KF5DBusAddons) >= 5.9.0
BuildRequires:  cmake(KF5Declarative) >= 5.9.0
BuildRequires:  cmake(KF5DocTools) >= 5.9.0
BuildRequires:  cmake(KF5I18n) >= 5.9.0
BuildRequires:  cmake(KF5IconThemes) >= 5.9.0
BuildRequires:  cmake(KF5KCMUtils) >= 5.9.0
BuildRequires:  cmake(KF5KDELibs4Support) >= 5.9.0
BuildRequires:  cmake(KF5KIO) >= 5.9.0
BuildRequires:  cmake(KF5Package) >= 5.9.0
BuildRequires:  cmake(KF5Service) >= 5.9.0
BuildRequires:  cmake(KF5Solid) >= 5.9.0
BuildRequires:  cmake(KF5Solid) >= 5.9.0
BuildRequires:  cmake(KF5Wayland) >= %{_plasma5_version}
BuildRequires:  cmake(KF5WidgetsAddons) >= 5.9.0
BuildRequires:  cmake(KF5XmlGui) >= 5.9.0
BuildRequires:  cmake(Qt5Core) >= 5.4.0
BuildRequires:  cmake(Qt5Gui) >= 5.4.0
BuildRequires:  cmake(Qt5Widgets) >= 5.4.0
BuildRequires:  pkgconfig(egl)
%ifarch %arm aarch64
BuildRequires:  pkgconfig(glesv2)
%else
BuildRequires:  pkgconfig(gl)
%endif
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(x11)
Conflicts:      kdebase4-workspace < 5.3.0
%if %{with lang}
Recommends:     %{name}-lang
%endif
# needed for the fileindexermonitor
Requires:       baloo5-imports
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KDE Utility that provides information about a computer system.

%lang_package
%prep
%setup -q -n kinfocenter-%{version}
%patch0 -p1

%build
  %cmake_kf5 -d build -- -DCMAKE_INSTALL_LOCALEDIR=%{_kf5_localedir}
  %make_jobs

%install
  %kf5_makeinstall -C build
%if %{with lang}
  %kf5_find_lang
%endif

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/kinfocenter
%{_kf5_plugindir}/
%{_kf5_applicationsdir}/org.kde.kinfocenter.desktop
%dir %{_kf5_htmldir}/en
%dir %{_kf5_htmldir}
%doc %{_kf5_htmldir}/en/kinfocenter/
%{_kf5_sharedir}/kcmusb/
%{_kf5_sharedir}/kcmview1394/
%{_kf5_sharedir}/kpackage/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/
%{_kf5_sharedir}/kxmlgui5/
%{_kf5_configdir}/menus/kinfocenter.menu
%{_kf5_sharedir}/desktop-directories/

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%doc %lang(ca) %{_kf5_htmldir}/ca/
%doc %lang(de) %{_kf5_htmldir}/de/
%doc %lang(it) %{_kf5_htmldir}/it/
%doc %lang(nl) %{_kf5_htmldir}/nl/
%doc %lang(sv) %{_kf5_htmldir}/sv/
%doc %lang(uk) %{_kf5_htmldir}/uk/
%doc %lang(pt_BR) %{_kf5_htmldir}/pt_BR/
%doc %lang(sr) %{_kf5_htmldir}/sr/
%doc %lang(sr@latin) %{_kf5_htmldir}/sr@latin/
%endif

%changelog
